from django.contrib import admin

from .models import User


@admin.register(User)
class UserAdmin(admin.ModelAdmin):
    list_display = ('id', 'email', 'role', 'full_name', 'phone', 'telegram', 'balance')
    list_display_links = list_display

    def get_queryset(self, request):
        return User.objects.with_base_related()


